Bug 202985 - java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle$PBundle, key SourceSupportProviderImpl.UnknownSource
java.util.MissingResourceException: Can't find resource for bundle org.openid...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Profile
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch2-verified...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 14:34 UTC by Alexander Simon
Modified: 2011-10-10 14:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.21 KB, text/plain)
2011-10-03 14:34 UTC, Alexander Simon
Details
fix missing resorces (1.07 KB, patch)
2011-10-03 15:06 UTC, Alexander Simon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-10-03 14:34:30 UTC
Build: Oracle Solaris Studio 12.3 (2011/10/03 31cb672fa1bc)
VM: Java HotSpot(TM) Server VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: SunOS

Stacktrace: 
java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle$PBundle, key SourceSupportProviderImpl.UnknownSource
   at java.util.ResourceBundle.getObject(ResourceBundle.java:374)
   at java.util.ResourceBundle.getString(ResourceBundle.java:334)
   at org.openide.util.NbBundle.getMessage(NbBundle.java:642)
   at org.openide.util.NbBundle.getMessage(NbBundle.java:736)
   at org.netbeans.modules.cnd.gizmo.SourceSupportProviderImpl.loc(SourceSupportProviderImpl.java:83)
   at org.netbeans.modules.cnd.gizmo.SourceSupportProviderImpl.showSource(SourceSupportProviderImpl.java:138)
Comment 1 Alexander Simon 2011-10-03 14:34:35 UTC
Created attachment 111423 [details]
stacktrace
Comment 2 Alexander Simon 2011-10-03 15:06:54 UTC
Created attachment 111428 [details]
fix missing resorces
Comment 3 Alexander Simon 2011-10-03 15:17:19 UTC
VV, please review fix and integrate it in releases.
Comment 4 Vladimir Voskresensky 2011-10-03 16:27:23 UTC
Fix is safe and correct
Comment 5 Alexander Simon 2011-10-04 09:47:19 UTC
fixed in releases branch release701_fixes:
209805:d1650bbc02ca
Comment 6 dnikitin 2011-10-04 12:44:44 UTC
verified in Oracle Solaris Studio 12.3 (2011/10/04 849d376fdbf7) (sputnik-solstudio-main #3367)
Comment 7 dnikitin 2011-10-04 13:00:53 UTC
see CR 7097438 for test-scenario
Comment 8 Quality Engineering 2011-10-07 17:36:15 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/d1650bbc02ca
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #202985 java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle$PBundle, key SourceSupportProviderImpl.UnknownSource
Comment 9 soldatov 2011-10-10 14:36:22 UTC
verified in Oracle Solaris Studio 12.3 (2011/10/10) build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo